package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品邮费对象 mall_goods_post_fee
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallGoodsPostFee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 地区关键字 */
    @Excel(name = "地区关键字")
    private String name;

    /** 费用 */
    @Excel(name = "费用")
    private BigDecimal postFee;

    /** 商品主键ID */
    @Excel(name = "商品主键ID")
    private Long goodsId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPostFee(BigDecimal postFee) 
    {
        this.postFee = postFee;
    }

    public BigDecimal getPostFee() 
    {
        return postFee;
    }
    public void setGoodsId(Long goodsId) 
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId() 
    {
        return goodsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("postFee", getPostFee())
            .append("goodsId", getGoodsId())
            .toString();
    }
}
